<?php
session_start();
if ($_GET['logout']) {

    session_destroy();

    header('Location: index.php');
}

if (!isset($_SESSION['teacherMode'])) {
    $_SESSION['teacherMode'] = false;
}
?>
<html>

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Battleship</title>
    <!-- <link rel="stylesheet" type="text/css" href="./files/css/style.css"> -->
    <link rel="stylesheet" type="text/css" href="./files/css/main.css">


    <link rel="icon" type="image/png" href="./files/img/sailboat.png" />

</head>

<body>

    <header class="header">
        <div class="header__container">
            <div class="header__logo">
                <a href="./index.php"><img src="./files/img/logo.png"></a>
                <span class="header__name">
                    <?php
                    if (isset($_SESSION['usr_name'])) {
                        echo "Welcome back, {$_SESSION["usr_name"]}!";
                    }
                    ?>
                </span>
            </div>
            <div class="header__btn">
                <form action="#" class="content-teacher teacher" method="POST">
                    <input type="submit" value="Teacher Mode" name="teachermode" class="teacher__input ">

                </form>
                <?php
                // echo printTeacherMode();

                if (isset($_POST['teachermode'])) {

                    $_SESSION['teacherMode'] = !$_SESSION['teacherMode'];
                }
                ?>
            </div>
            <nav class="header__nav main-nav">
                <?php
                // TODO: BEST PRACTICE vragen aan Ruben
                if (!strpos($_SERVER['REQUEST_URI'], 'naval_battle')) {
                    if (basename("../index.php")  == "index.php"  && !strpos($_SERVER['REQUEST_URI'], 'signup') && !strpos($_SERVER['REQUEST_URI'], 'scores')) {
                        echo '<a class="main-nav__item" href="signup.php">Sing Up</a>';
                    }
                    if (strpos($_SERVER['REQUEST_URI'], 'signup')) {
                        echo '<a class="main-nav__item" href="index.php">Log In</a>';
                    }
                }
                if (strpos($_SERVER['REQUEST_URI'], 'naval_battle') || strpos($_SERVER['REQUEST_URI'], 'scores')) {
                    echo '<a class="main-nav__item" href="naval_battle.php">Home</a>
                    <a class="main-nav__item" href="scores.php">Scores</a>
                    <a class="main-nav__item" href="index.php?logout=true">Log out</a>';
                }
                ?>
            </nav>
        </div>
    </header>

    <main class="main">